CREATE TABLE exm_perdiem_pol_lines (
    POLICY_LINE_ID                 NUMBER(18, 0),
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    PERDIEM_POLICY_ID              NUMBER(18, 0)    NOT NULL,
    TYPE_OF_LINE_CODE              VARCHAR2(120),
    BASE_RATE                      NUMBER       ,
    ACCOM_NIGHT_RATE               NUMBER       ,
    FIRST_DAY_RATE                 NUMBER       ,
    LAST_DAY_RATE                  NUMBER       ,
    TIME_MODEL_RATE                NUMBER       ,
    LINE_HOURS                     NUMBER(4, 0) ,
    LINE_MINUTES                   NUMBER(4, 0) ,
    LOWER_LINE_HOURS               NUMBER(4, 0) ,
    LOWER_LINE_MINUTES             NUMBER(4, 0) ,
    START_DATE                     DATE         ,
    END_DATE                       DATE         ,
    CURRENCY_CODE                  VARCHAR2(60) ,
    GEOGRAPHY_ID                   NUMBER(18, 0),
    ZONE_CODE                      VARCHAR2(120),
    GEOLOC_NAME                    VARCHAR2(960),
    RAW_COUNTRY                    VARCHAR2(320),
    RAW_STATE                      VARCHAR2(320),
    RAW_COUNTY                     VARCHAR2(320),
    RAW_CITY                       VARCHAR2(320),
    RAW_LEVEL_5                    VARCHAR2(320),
    ROLE_THRESHOLD                 NUMBER(9, 0) ,
    ROLE_THRESHOLD_CODE            VARCHAR2(120),
    LOWER_ROLE_THRESHOLD           NUMBER(9, 0) ,
    SEASON_START_MONTH             NUMBER(2, 0) ,
    SEASON_START_DAY               NUMBER(2, 0) ,
    SEASON_END_MONTH               NUMBER(2, 0) ,
    SEASON_END_DAY                 NUMBER(2, 0) ,
    ACCOMMODATION_DEDUCTION        NUMBER       ,
    ACCOMMODATION_TYPE_CODE        VARCHAR2(120),
    MEALS_BREAKFAST_RATE           NUMBER       ,
    MEALS_LUNCH_RATE               NUMBER       ,
    MEALS_DINNER_RATE              NUMBER       ,
    MEALS_ONE_MEAL_RATE            NUMBER       ,
    MEALS_TWO_MEALS_RATE           NUMBER       ,
    MEALS_THREE_MEALS_RATE         NUMBER       ,
    MEALS_DAILY_DEDUCTION          NUMBER       ,
    MEALS_ONE_MEAL_DEDUCTION       NUMBER       ,
    MEALS_TWO_MEALS_DEDUCTION      NUMBER       ,
    MEALS_THREE_MEALS_DEDUCTION    NUMBER       ,
    MEALS_BREAKFAST_DEDUCTION      NUMBER       ,
    MEALS_LUNCH_DEDUCTION          NUMBER       ,
    MEALS_DINNER_DEDUCTION         NUMBER       ,
    TRIP_EXCEED_DAYS               NUMBER       ,
    LOWER_TRIP_EXCEED_DAYS         NUMBER       ,
    WEEKEND_DAY1_RATE              NUMBER       ,
    WEEKEND_DAY2_RATE              NUMBER       ,
    HOLIDAY_RATE                   NUMBER       ,
    OTHERS_STANDARD_RATE           NUMBER       ,
    OTHERS_FIRST_DAY_RATE          NUMBER       ,
    OTHERS_LAST_DAY_RATE           NUMBER       ,
    LONGTERM_TRAVEL_RATE           NUMBER       ,
    STATUS                         VARCHAR2(120),
    INVALID_CODE                   VARCHAR2(120),
    ATTRIBUTE_CATEGORY             VARCHAR2(600),
    ATTRIBUTE_CHAR1                VARCHAR2(600),
    ATTRIBUTE_CHAR2                VARCHAR2(600),
    ATTRIBUTE_CHAR3                VARCHAR2(600),
    ATTRIBUTE_CHAR4                VARCHAR2(600),
    ATTRIBUTE_CHAR5                VARCHAR2(600),
    ATTRIBUTE_CHAR6                VARCHAR2(600),
    ATTRIBUTE_CHAR7                VARCHAR2(600),
    ATTRIBUTE_CHAR8                VARCHAR2(600),
    ATTRIBUTE_CHAR9                VARCHAR2(600),
    ATTRIBUTE_CHAR10               VARCHAR2(600),
    ATTRIBUTE_CHAR11               VARCHAR2(600),
    ATTRIBUTE_CHAR12               VARCHAR2(600),
    ATTRIBUTE_CHAR13               VARCHAR2(600),
    ATTRIBUTE_CHAR14               VARCHAR2(600),
    ATTRIBUTE_CHAR15               VARCHAR2(600),
    ATTRIBUTE_NUMBER1              NUMBER       ,
    ATTRIBUTE_NUMBER2              NUMBER       ,
    ATTRIBUTE_NUMBER3              NUMBER       ,
    ATTRIBUTE_NUMBER4              NUMBER       ,
    ATTRIBUTE_NUMBER5              NUMBER       ,
    ATTRIBUTE_DATE1                DATE         ,
    ATTRIBUTE_DATE2                DATE         ,
    ATTRIBUTE_DATE3                DATE         ,
    ATTRIBUTE_DATE4                DATE         ,
    ATTRIBUTE_DATE5                DATE         ,
    ATTRIBUTE_DATETIME1            TIMESTAMP(6) ,
    ATTRIBUTE_DATETIME2            TIMESTAMP(6) ,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    POLICY_LINE_ID                 NUMBER(18, 0),
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    PERDIEM_POLICY_ID              NUMBER(18, 0)    NOT NULL,
    TYPE_OF_LINE_CODE              VARCHAR2(120),
    BASE_RATE                      NUMBER       ,
    ACCOM_NIGHT_RATE               NUMBER       ,
    FIRST_DAY_RATE                 NUMBER       ,
    LAST_DAY_RATE                  NUMBER       ,
    TIME_MODEL_RATE                NUMBER       ,
    LINE_HOURS                     NUMBER(4, 0) ,
    LINE_MINUTES                   NUMBER(4, 0) ,
    LOWER_LINE_HOURS               NUMBER(4, 0) ,
    LOWER_LINE_MINUTES             NUMBER(4, 0) ,
    START_DATE                     DATE         ,
    END_DATE                       DATE         ,
    CURRENCY_CODE                  VARCHAR2(60) ,
    GEOGRAPHY_ID                   NUMBER(18, 0),
    ZONE_CODE                      VARCHAR2(120),
    GEOLOC_NAME                    VARCHAR2(960),
    RAW_COUNTRY                    VARCHAR2(320),
    RAW_STATE                      VARCHAR2(320),
    RAW_COUNTY                     VARCHAR2(320),
    RAW_CITY                       VARCHAR2(320),
    RAW_LEVEL_5                    VARCHAR2(320),
    ROLE_THRESHOLD                 NUMBER(9, 0) ,
    ROLE_THRESHOLD_CODE            VARCHAR2(120),
    LOWER_ROLE_THRESHOLD           NUMBER(9, 0) ,
    SEASON_START_MONTH             NUMBER(2, 0) ,
    SEASON_START_DAY               NUMBER(2, 0) ,
    SEASON_END_MONTH               NUMBER(2, 0) ,
    SEASON_END_DAY                 NUMBER(2, 0) ,
    ACCOMMODATION_DEDUCTION        NUMBER       ,
    ACCOMMODATION_TYPE_CODE        VARCHAR2(120),
    MEALS_BREAKFAST_RATE           NUMBER       ,
    MEALS_LUNCH_RATE               NUMBER       ,
    MEALS_DINNER_RATE              NUMBER       ,
    MEALS_ONE_MEAL_RATE            NUMBER       ,
    MEALS_TWO_MEALS_RATE           NUMBER       ,
    MEALS_THREE_MEALS_RATE         NUMBER       ,
    MEALS_DAILY_DEDUCTION          NUMBER       ,
    MEALS_ONE_MEAL_DEDUCTION       NUMBER       ,
    MEALS_TWO_MEALS_DEDUCTION      NUMBER       ,
    MEALS_THREE_MEALS_DEDUCTION    NUMBER       ,
    MEALS_BREAKFAST_DEDUCTION      NUMBER       ,
    MEALS_LUNCH_DEDUCTION          NUMBER       ,
    MEALS_DINNER_DEDUCTION         NUMBER       ,
    TRIP_EXCEED_DAYS               NUMBER       ,
    LOWER_TRIP_EXCEED_DAYS         NUMBER       ,
    WEEKEND_DAY1_RATE              NUMBER       ,
    WEEKEND_DAY2_RATE              NUMBER       ,
    HOLIDAY_RATE                   NUMBER       ,
    OTHERS_STANDARD_RATE           NUMBER       ,
    OTHERS_FIRST_DAY_RATE          NUMBER       ,
    OTHERS_LAST_DAY_RATE           NUMBER       ,
    LONGTERM_TRAVEL_RATE           NUMBER       ,
    STATUS                         VARCHAR2(120),
    INVALID_CODE                   VARCHAR2(120),
    ATTRIBUTE_CATEGORY             VARCHAR2(600),
    ATTRIBUTE_CHAR1                VARCHAR2(600),
    ATTRIBUTE_CHAR2                VARCHAR2(600),
    ATTRIBUTE_CHAR3                VARCHAR2(600),
    ATTRIBUTE_CHAR4                VARCHAR2(600),
    ATTRIBUTE_CHAR5                VARCHAR2(600),
    ATTRIBUTE_CHAR6                VARCHAR2(600),
    ATTRIBUTE_CHAR7                VARCHAR2(600),
    ATTRIBUTE_CHAR8                VARCHAR2(600),
    ATTRIBUTE_CHAR9                VARCHAR2(600),
    ATTRIBUTE_CHAR10               VARCHAR2(600),
    ATTRIBUTE_CHAR11               VARCHAR2(600),
    ATTRIBUTE_CHAR12               VARCHAR2(600),
    ATTRIBUTE_CHAR13               VARCHAR2(600),
    ATTRIBUTE_CHAR14               VARCHAR2(600),
    ATTRIBUTE_CHAR15               VARCHAR2(600),
    ATTRIBUTE_NUMBER1              NUMBER       ,
    ATTRIBUTE_NUMBER2              NUMBER       ,
    ATTRIBUTE_NUMBER3              NUMBER       ,
    ATTRIBUTE_NUMBER4              NUMBER       ,
    ATTRIBUTE_NUMBER5              NUMBER       ,
    ATTRIBUTE_DATE1                DATE         ,
    ATTRIBUTE_DATE2                DATE         ,
    ATTRIBUTE_DATE3                DATE         ,
    ATTRIBUTE_DATE4                DATE         ,
    ATTRIBUTE_DATE5                DATE         ,
    ATTRIBUTE_DATETIME1            TIMESTAMP(6) ,
    ATTRIBUTE_DATETIME2            TIMESTAMP(6) ,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    CONSTRAINT pk_exm_perdiem_pol_lines PRIMARY KEY (POLICY_LINE_ID, POLICY_LINE_ID)
);
